Subject: Morel Retina Burn

From: [email-masked] (Mike Hoffelder)
Date: 12 Jun 1995 05:08:25 -0700

[email-masked] (Eric Hirst) wrote:
> .....After every morel hunt, whenever I close my eyes I see morels.....

I too have experienced this phenomenom many times after a day of
intense morel hunting.  The effect seems to last until bedtime,
when hundreds of morels will continually appear as I doze off.
A night's sleep seems to reset the retina or neural imprint,
until I start hunting the next day of course.